package com.gtiit.shr.entity.vo;

import java.io.Serializable;


/**
 * @author Mohan
 */
public class PunchCardRequstInfo implements Serializable {
    private static final long serialVersionUID = -5546707514188163820L;
    private String attenNo;
    private String beginTime;
    private String endTime;



    public String getAttenNo() {
        return this.attenNo;
    }

    public String getBeginTime() {
        return this.beginTime;
    }

    public String getEndTime() {
        return this.endTime;
    }

    public void setAttenNo(final String attenNo) {
        this.attenNo = attenNo;
    }

    public void setBeginTime(final String beginTime) {
        this.beginTime = beginTime;
    }

    public void setEndTime(final String endTime) {
        this.endTime = endTime;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PunchCardRequstInfo)) {
            return false;
        } else {
            PunchCardRequstInfo other = (PunchCardRequstInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label47: {
                    Object this$attenNo = this.getAttenNo();
                    Object other$attenNo = other.getAttenNo();
                    if (this$attenNo == null) {
                        if (other$attenNo == null) {
                            break label47;
                        }
                    } else if (this$attenNo.equals(other$attenNo)) {
                        break label47;
                    }

                    return false;
                }

                Object this$beginTime = this.getBeginTime();
                Object other$beginTime = other.getBeginTime();
                if (this$beginTime == null) {
                    if (other$beginTime != null) {
                        return false;
                    }
                } else if (!this$beginTime.equals(other$beginTime)) {
                    return false;
                }

                Object this$endTime = this.getEndTime();
                Object other$endTime = other.getEndTime();
                if (this$endTime == null) {
                    if (other$endTime != null) {
                        return false;
                    }
                } else if (!this$endTime.equals(other$endTime)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof PunchCardRequstInfo;
    }

    public int hashCode() {
        boolean PRIME = true;
        int result = 1;
        Object $attenNo = this.getAttenNo();
        result = result * 59 + ($attenNo == null ? 43 : $attenNo.hashCode());
        Object $beginTime = this.getBeginTime();
        result = result * 59 + ($beginTime == null ? 43 : $beginTime.hashCode());
        Object $endTime = this.getEndTime();
        result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
        return result;
    }

    public String toString() {
        return "PunchCardRequstInfo(attenNo=" + this.getAttenNo() + ", beginTime=" + this.getBeginTime() + ", endTime=" + this.getEndTime() + ")";
    }
}
